/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "ICommand/ICommandPriv.h"

using namespace Command::IRC;

void ICommandPriv::cmd_kick(const std::string& channel, const std::string& nickname, const std::string& reason)
{
    auto& mdi = MdiManager::instance();
    std::string chan = channel;

    if (chan.empty()) {
        if (mdi.currentWindow()->getType() != IWin::Type::Channel) {
            mdi.currentWindow()->print(PrintType::ProgramInfo, "Not in a channel window");
            return;
        }
        chan = mdi.currentWindow()->getButtonText().toStdString();
    }

    connection.command(KICK, { chan, nickname }, reason);
}
