/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "ICommand/ICommandPriv.h"

using namespace Command::IRC;

void ICommandPriv::cmd_notice(const std::string& target, const std::string& message)
{
    auto& mdi = MdiManager::instance();

    connection.command(NOTICE, { target }, message);

    IWin* winTarget = mdi.findWindow(&status, target.c_str());
    IWin* active = status.getActiveWindow();

    if (!target.empty() && !message.empty()) {
        if (winTarget && winTarget != active)
            winTarget->print(PrintType::OwnText, QStringLiteral("->%1<- %2")
                                                    .arg(target.c_str())
                                                    .arg(message.c_str()));
        if (active && active != winTarget)
            active->print(PrintType::OwnText, QStringLiteral("->%1<- %2")
                                                    .arg(target.c_str())
                                                    .arg(message.c_str()));
    }
}
