/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "ICommand/ICommandPriv.h"

using namespace Command::IRC;

void ICommandPriv::cmd_privmsg(const std::string& target, const std::string& message)
{
    auto& mdi = MdiManager::instance();

    connection.command(PRIVMSG, { target }, message);

    if (!target.empty() && !message.empty()) {
        IWin* win = mdi.findWindow(&status, target.c_str());
        if (win) {
            const auto* myNick = connection.getNickname().c_str();
            win->print(PrintType::OwnText, QStringLiteral("<%1> %2")
                                            .arg(myNick)
                                            .arg(message.c_str()));
        }
        else
            status.print(PrintType::OwnText, QStringLiteral(">%1< %2")
                                            .arg(target.c_str())
                                            .arg(message.c_str()));
    }
}

