/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ICOMMANDPRIV_H
#define ICOMMANDPRIV_H

#include "IRC.h"
#include "IWin/IWinStatus.h"
#include "MdiManager.h"
#include "IRCClient/Commands.h"
#include "IRCClient/Utilities.h"
#include "Widgets/IIRCView.h"
#include <string>

struct ICommandPriv
{
    ICommandPriv(ICommand& super_, IRC& connection_, IWinStatus& status_);

    ICommand& super;
    IRC& connection;
    IWinStatus& status;

    void cmd_kick(const std::string& channel, const std::string& nickname, const std::string& reason);
    void cmd_privmsg(const std::string& target, const std::string& message);
    void cmd_notice(const std::string& target, const std::string& message);

    void cmd_ctcp(const std::string& target, const std::string& command, std::string message);
    void cmd_dcc(const std::string& command, const std::string& target, const std::string& message);
    void cmd_ctcpreply(const std::string& target, const std::string& command, const std::string& message);
    void cmd_me(const std::string& target, const std::string& message);
    void cmd_echo(const std::string& arg1, const std::string& arg2, const std::string& text);
    void cmd_server(bool ssl, bool newstatus, bool activate, const std::string& host, const std::string& port);
};

#endif // ICOMMANDPRIV_H
