/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "ICommand/ICommandPriv.h"
#include <QDateTime>

void ICommandPriv::cmd_ctcp(const std::string& target, const std::string& command, std::string message)
{
    if (command == "PING")
        message = std::to_string( QDateTime::currentMSecsSinceEpoch() );

    QString qmsg = QString::fromStdString(command);
    if (!message.empty() && command != "PING")
        qmsg += " " + QString::fromStdString(message);

    status.printToActive(PrintType::CTCP, QStringLiteral("Sending [CTCP %1] to %2")
                           .arg(qmsg)
                           .arg(target.c_str()));

    connection.ctcpRequest(target, command, message);
}
