/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "ICommand/ICommandPriv.h"

void ICommandPriv::cmd_ctcpreply(const std::string& target, const std::string& command, const std::string& message)
{
    QString qmsg = QString::fromStdString(command);
    if (!message.empty())
        qmsg += " " + QString::fromStdString(message);

    status.print(PrintType::CTCP, QStringLiteral("Sending [CTCP REPLY %1] to %2")
                 .arg(qmsg)
                 .arg(target.c_str()));

    connection.ctcpResponse(target, command, message);
}
