/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ADDSERVER_H
#define ADDSERVER_H

#include <QDialog>

namespace Ui {
class AddServer;
}

class AddServer : public QDialog
{
    Q_OBJECT

public:
    explicit AddServer(const QStringList& networkList, QWidget *parent = nullptr);
    ~AddServer();

    QString name() const;
    QString address() const;
    QString password() const;
    QString sasl() const;
    bool ssl() const;
    bool isServer() const;
    int networkIndex() const;

signals:
    void saved();

private slots:
    void on_btnCancel_clicked();
    void on_btnSave_clicked();
    void on_rdNetwork_toggled(bool checked);
    void on_edNetwork_currentIndexChanged(int index);

private:
    Ui::AddServer *ui;
};

#endif // ADDSERVER_H
