/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ICONFIGLOGGING_H
#define ICONFIGLOGGING_H

#include <QWidget>
#include <QListWidgetItem>
#include <QShowEvent>

namespace Ui {
class IConfigLogging;
}

class IConfigLogging : public QWidget
{
    Q_OBJECT

public:
    explicit IConfigLogging(QWidget *parent = nullptr);
    ~IConfigLogging();
    bool isChanged() const;
    void save();
    void reset();

private slots:
    void showEvent(QShowEvent* evt);
    void on_btnBrowse_clicked();
    void on_edPath_textChanged(const QString &arg1);
    void on_fileList_itemClicked(QListWidgetItem *item);

private:
    void loadFiles(const QString& path);
    Ui::IConfigLogging *ui;
    bool cf_Chnanels;
    bool cf_Privates;
    QString cf_Path;
};

#endif // ICONFIGLOGGING_H
