/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ICONFIGOPTIONS_H
#define ICONFIGOPTIONS_H

#include "ColorConfig.h"
#include <QWidget>
#include <QHBoxLayout>
#include <QVBoxLayout>

namespace Ui {
class IConfigOptions;
}

class IConfigOptions : public QWidget
{
    Q_OBJECT

public:
    explicit IConfigOptions(QWidget *parent = nullptr);
    ~IConfigOptions();
    bool isChanged() const;
    void save();
    void reset();

private slots:
    void on_chkSSLExpired_toggled(bool checked);
    void on_btnImageBrowse_clicked();

private:
    void reload();
    Ui::IConfigOptions *ui;
    QVBoxLayout *layout;
    ColorConfig *colorCfg;
    bool cf_ShowOptions;
    bool cf_Reconnect;
    int cf_ReconnectDelay;
    bool cf_RejoinChannelsOnConnect;
    bool cf_ShowWhoisActiveWindow;
    bool cf_ShowModeInMessage;
    bool cf_TrayNotify;
    int cf_TrayNotifyDelay;
    bool cf_ShowTimestamp;
    QString cf_TimestampFormat;
    bool cf_ManualKeepaliveEnabled;
    int cf_ManualKeepalive;
    QString cf_QuitMessage;
    QFont cf_Font;
    int cf_FontSize;
    bool cf_BgImageEnabled;
    QString cf_BgImagePath;
    int cf_BgImageOpacity;
    // TODO background image scaling combo box
    bool cf_SSLSelfSigned;
    bool cf_SSLExpired;
    bool cf_SSLCNMismatch;
    bool cf_AccountNotify;
    bool cf_ExtendedJoin;
    bool cf_AwayNotify;
    bool cf_InviteNotify;
    bool cf_MultiPrefix;
    bool cf_UserHostInNames;
    bool cf_HistoryPlayback;
};

#endif // ICONFIGOPTIONS_H
