/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef IRCCLIENT_COMMANDS_H
#define IRCCLIENT_COMMANDS_H

namespace Command {
namespace IRC {
    constexpr auto* PASS		= "PASS";
    constexpr auto* NICK		= "NICK";
    constexpr auto* USER		= "USER";
    constexpr auto* OPER		= "OPER";
    constexpr auto* MODE		= "MODE";
    constexpr auto* QUIT		= "QUIT";
    constexpr auto* SQUIT		= "SQUIT";
    constexpr auto* JOIN		= "JOIN";
    constexpr auto* PART		= "PART";
    constexpr auto* TOPIC		= "TOPIC";
    constexpr auto* NAMES		= "NAMES";
    constexpr auto* LIST		= "LIST";
    constexpr auto* INVITE		= "INVITE";
    constexpr auto* KICK		= "KICK";
    constexpr auto* PRIVMSG		= "PRIVMSG";
    constexpr auto* NOTICE		= "NOTICE";
    constexpr auto* MOTD		= "MOTD";
    constexpr auto* LUSERS		= "LUSERS";
    constexpr auto* VERSION		= "VERSION";
    constexpr auto* STATS		= "STATS";
    constexpr auto* LINKS		= "LINKS";
    constexpr auto* TIME		= "TIME";
    constexpr auto* CONNECT		= "CONNECT";
    constexpr auto* TRACE		= "TRACE";
    constexpr auto* ADMIN		= "ADMIN";
    constexpr auto* INFO		= "INFO";
    constexpr auto* SERVLIST	= "SERVLIST";
    constexpr auto* SQUERY		= "SQUERY";
    constexpr auto* WHO			= "WHO";
    constexpr auto* WHOIS		= "WHOIS";
    constexpr auto* WHOWAS		= "WHOWAS";
    constexpr auto* KILL		= "KILL";
    constexpr auto* PING		= "PING";
    constexpr auto* PONG		= "PONG";
    constexpr auto* ERROR_		= "ERROR"; // Environment for msvc already defines ERROR as a macro of sorts...
    constexpr auto* AWAY		= "AWAY";
    constexpr auto* REHASH		= "REHASH";
    constexpr auto* DIE			= "DIE";
    constexpr auto* RESTART		= "RESTART";
    constexpr auto* SUMMON		= "SUMMON";
    constexpr auto* USERS		= "USERS";
    constexpr auto* WALLOPS		= "WALLOPS";
    constexpr auto* USERHOST	= "USERHOST";
    constexpr auto* ISON		= "ISON";
}

namespace Extension {
    constexpr auto* ACCOUNT		 = "ACCOUNT";
    constexpr auto* AUTHENTICATE = "AUTHENTICATE";
}

namespace IRCv3 {
    constexpr auto* CAP		= "CAP";
    constexpr auto* LS		= "LS";
    constexpr auto* LIST	= "LIST";
    constexpr auto* REQ		= "REQ";
    constexpr auto* ACK		= "ACK";
    constexpr auto* NAK		= "NAK";
    constexpr auto* END		= "END";
    constexpr auto* NEW		= "NEW";
    constexpr auto* DEL		= "DEL";
} // namespace IRCv3
} // namespace command

#endif // IRCCLIENT_COMMANDS_H
