/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::cmdKick(const IRCMessage& ircmessage)
{
    super.onMsgKick(ircmessage.getSender(), ircmessage[0], ircmessage[1], ircmessage.getMessage());
    auto prefix = IRCPrefix::fromNickname(ircmessage[1]);
    delMemberFromChannel(prefix, ircmessage[0]);
}
