/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::cmdMode(const IRCMessage& ircmessage)
{
    auto args = ircmessage.getArgs();
    const std::string target = args[0];
    std::string modes;

    if (isChannelSymbol(target[0])) {
        modes = args[1];
        args.erase(args.begin(), args.begin() + 2);

        auto chan = super.getChannel(target);
        if (chan)
            parseChannelModeMessage(chan, modes, args);
    }
    else {
        modes = ircmessage.getMessage();
        args.erase(args.begin(), args.begin() + 1);
    }

    super.onMsgMode(ircmessage.getSender(), target, modes, args);
}