/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::cmdNick(const IRCMessage& ircmessage)
{
    std::vector<std::string> channelsAffected;
    channelsAffected.reserve(16);
    auto member = super.getMember(ircmessage.getSender().toString());

    if (member) {
        const auto& chans = member->channels();
        for (const auto& c : chans)
            channelsAffected.push_back(c.lock()->name());
        member->setNickname(ircmessage.getMessage());
    }

    /* We changed our nickname */
    if (ircmessage.getSender().toString() == nickname)
        nickname = ircmessage.getMessage();

    super.onMsgNick(ircmessage.getSender(), ircmessage.getMessage(), channelsAffected);
}
