/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"
#include "../Utilities.h"

void IRCBasePriv::cmdNotice(const IRCMessage& ircmessage)
{
    const auto& sender = ircmessage.getSender();
    const auto& msg = ircmessage.getMessage();

    if (msg[0] == CTCPflag) {
        auto[cmd,ctcpMsg] = FormatCTCPLine(msg);
        super.onMsgCTCPResponse(sender, ircmessage[0], cmd, ctcpMsg);
    }
    else
        super.onMsgNotice(sender, ircmessage[0], msg);
}
