/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (c) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"
#include "../Commands.h"
#include "../Utilities.h"

void IRCBasePriv::cmdV3Authenticate(const IRCMessage& ircmessage)
{
    using namespace Command::IRC;
    if (saslInProgress && ircmessage[0] == "+") {
        const auto credentials = ident + char(0) + ident + char(0) + v3SASL;
        writeNoMsg(Command::Extension::AUTHENTICATE, { toBase64(credentials) });
    }
}
