/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::addMemberToChannel(const IRCPrefix& prefix, const std::string& channel)
{
    auto member = super.getMember(prefix.toString());
    if (!member) {
        member = std::make_shared<IRCMember>(prefix);
        allMembers.emplace_back(member);
    }

    auto chanentry = super.getChannel(channel);
    if (!chanentry) {
        chanentry = std::make_shared<IRCChannel>(channel, super);
        channels.emplace_back(chanentry);
    }

    member->addChannel(chanentry);
    chanentry->addMember(member);
}
