/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBasePriv.h"

char IRCBasePriv::channelModeGroup(char m) const
{
    char group[] = {'A', 'B', 'C', 'D', 'M', 0};
    int gi = 0; // group index

    const std::string& cm = isupport.at("CHANMODES");
    for (char c : cm) {
        if (c == ',') {
            ++gi;
            continue;
        }
        if (c == m)
            return group[gi];
    }

    ++gi; // No match yet... Test for channel-member modes
    if (validPrivilegeModes.find(m) == std::string::npos)
        ++gi; // Not found, advance to the last "group" (numeric zero, failure).

    return group[gi];
}