/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"
#include "../Utilities.h"

void IRCBasePriv::ctcp(const std::string& messageType, const std::string& target, const std::string& command, const std::string& message)
{
    if (!isConnected)
        return;

    std::string ctcpdata;
    ctcpdata.push_back(CTCPflag);
    ctcpdata.append(command);
    if (!message.empty())
        ctcpdata.append(" " + message);
    ctcpdata.push_back(CTCPflag);
    write(messageType, { target }, ctcpdata);
}
