/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBase.h"
#include "../IRCBasePriv.h"

void IRCBasePriv::disconnectHandler()
{
    // Just to ensure we're actually closed... might throw something and we really do not care.
    if (useSSL)
        try { sslsock->lowest_layer().close(); } catch(...) {}
    else
        try { sock->close(); } catch(...) {}

    readbuf.clear();
    channels.clear();
    allMembers.clear();
    setDefaults();
    super.onDisconnected();
}
