/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "../IRCBasePriv.h"

void IRCBasePriv::setDefaults()
{
    readbuf.clear();
    isConnected = false;
    isOnline = false;
    saslInProgress = false;
    isupport.clear();

    /*
     * Setting defaults as found in the IRC standard.
     * Do not remove any of these entries.
    */
    isupport.emplace("CHANMODES", "b,k,l,imnpstr"); // Channel modes
    isupport.emplace("CHANTYPES", "#"); // Channel prefix characters
    isupport.emplace("PREFIX", "(ov)@+"); // Usermode in channel, modes and prefix characters
    isupport.emplace("MODES", "3"); // Max modes to set in a channel per MODE message

    validPrivilegeModes = "ov";
    validPrivilegeSymbols = "@+";
}
