/*
 * IdealIRC Core - Internet Relay Chat API
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef IRCUTILITIES_H
#define IRCUTILITIES_H

#include <cstdint>
#include <unordered_map>
#include <string>
#include <algorithm>

constexpr char CTCPflag { 0x01 };

std::pair<std::string,std::string> FormatCTCPLine(std::string line);
bool singleWildcardMatch(const std::string& str, const std::string& wc);
std::string longIpToNormal(std::uint32_t longip);
std::string longIpToNormal(const std::string& longip);
std::uint32_t normalIpToLong(const std::string& normalip);
std::string concatenateModes(const std::unordered_map<char, std::string>& modes);
bool strEquals(const std::string& l, const std::string& r);
std::string toBase64(const std::string& input);
std::string findOwnIpAddress();
bool isPrivateIp(const std::string& ip);

#endif //IRCUTILITIES_H
