/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef IWINPRIVATE_H
#define IWINPRIVATE_H

#include "IWin.h"
#include "Widgets/ILineEdit.h"
#include "Script/SymbolScope.h"
#include <QLineEdit>
#include <QVBoxLayout>

class IWinStatus;
class IRC;

class IWinPrivate : public IWin
{
    Q_OBJECT

public:
    IWinPrivate(IWinStatus* statusParent, const QString& targetName);
    bool printWithCustomTime(const QDateTime& timestamp, PrintType ptype, const QString& text) override;
    void refreshWindowTitle() override;
    void clear() override { view->resetView(); }

private:
    void newLine(const QString& newLine);
    int tabComplete(int index, QString& pattern);

    QVBoxLayout* layout;
    IIRCView* view;
    ILineEdit* input;

    IWinStatus* status;
    IRC& connection;

    SymbolScope menuSymbols;
};

#endif // IWINPRIVATE_H
