/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "AboutIIRC.h"
#include "ui_AboutIIRC.h"
#include "config.h"
#include <QDateTime>

AboutIIRC::AboutIIRC(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AboutIIRC)
{
    ui->setupUi(this);

    QDateTime cur = QDateTime::currentDateTime();
    QString year = QString::number(cur.date().year());

    QString text = ui->textBrowser->toHtml();
    text = text.replace("{year}", year);
    text = text.replace("{ver}", VERSION_STRING);

    if constexpr (BUILD_TYPE == BuildType::packaged)
        text = text.replace("{buildtype}", QStringLiteral("Packaged"));
    else if constexpr (BUILD_TYPE == BuildType::standalone)
        text = text.replace("{buildtype}", QStringLiteral("Stand-alone"));

    ui->textBrowser->setHtml(text);
}

AboutIIRC::~AboutIIRC()
{
    delete ui;
}
