/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef DCCQUERY_H
#define DCCQUERY_H

#include "DCCQueryTableModel.h"
#include "DCCQueryDelegate.h"
#include "IRC.h"
#include <QDialog>

namespace Ui {
class DCCQuery;
}

class DCCQuery : public QDialog
{
    Q_OBJECT

public:
    explicit DCCQuery(QWidget *parent = nullptr);
    ~DCCQuery();

    void addQuery(const IRCPrefix& sender, const QString& description, const std::shared_ptr<DCC>& dcc);

private slots:
    void on_btnRejectAll_clicked();

private:
    Ui::DCCQuery *ui;

    DCCQueryTableModel m_model;
    DCCQueryDelegate m_delegate;

    void accepted(const QModelIndex& index);
    void rejected(const QModelIndex& index);
};

#endif // DCCQUERY_H
