/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (c) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "DCCQueryDelegate.h"
#include <QPushButton>

DCCQueryDelegate::DCCQueryDelegate(QObject* parent)
    : QStyledItemDelegate(parent)
{}

QWidget* DCCQueryDelegate::createEditor(QWidget* parent, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
    /* Accept */
    if (index.column() == 2) {
        auto* btn = new QPushButton(tr("Accept"), parent);
        auto idx = index;
        connect(btn, &QPushButton::clicked, [this, idx]{ emit accept(idx); });
        return btn;
    }

    /* Reject */
    else if (index.column() == 3) {
        auto* btn = new QPushButton(tr("Reject"), parent);
        auto idx = index;
        connect(btn, &QPushButton::clicked, [this, idx]{ emit reject(idx); });
        return btn;
    }

    else {
        return nullptr;
    }
}

void DCCQueryDelegate::updateEditorGeometry(QWidget* editor, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
    editor->setGeometry(option.rect);
}
