/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef INPUTHANDLER_H
#define INPUTHANDLER_H

#include "ICommand/ICommand.h"
#include <QObject>

class IWin;
class IRC;
class MdiManager;

class InputHandler
{
public:
    explicit InputHandler(IRC& connection_);

    void parse(IWin& sender, const QString& text, bool handleCommand = true);
    void parseCommand(const QString& text);
    ICommand* getHandler() { return &cmdHndl; }

private:
    IRC& connection;
    ICommand cmdHndl;
};

#endif // INPUTHANDLER_H
