/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef SCRIPTEVENTS_H
#define SCRIPTEVENTS_H

namespace ScriptEvent {
    constexpr auto* Start			= "start";
    constexpr auto* Exit			= "exit";
    constexpr auto* Connected		= "connected";
    constexpr auto* Disconnected	= "disconnected";
    constexpr auto* Privmsg			= "privmsg";
    constexpr auto* Notice			= "notice";
    constexpr auto* CtcpRequest		= "ctcprequest";
    constexpr auto* CtcpReply		= "ctcpreply";
    constexpr auto* Nick			= "nick";
    constexpr auto* Wallops			= "wallops";
    constexpr auto* Join			= "join";
    constexpr auto* Part			= "part";
    constexpr auto* Quit			= "quit";
    constexpr auto* Kick			= "kick";
    constexpr auto* Mode			= "mode";
    constexpr auto* Topic			= "topic";
    constexpr auto* Invite			= "invite";
    constexpr auto* Kill			= "kill";
    constexpr auto* Error			= "error";
    constexpr auto* Numeric			= "numeric";
    constexpr auto* Away            = "away"; // IRCv3 only
}

#endif // SCRIPTEVENTS_H
