; See the Readme.txt attached in this same folder to see
; how to properly use this installer script.

#define AppName "IdealIRC"
#define Version "1.1.0"

[Setup]
AppName={#AppName}
AppVersion={#Version}
LicenseFile=License.txt
WizardStyle=modern
DefaultDirName={autopf}\{#AppName}
DefaultGroupName={#AppName}
UninstallDisplayIcon={app}\IdealIRC.exe
Compression=lzma2
SolidCompression=yes
ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64

[Files]
Source: "IdealIRC.exe"; DestDir: "{app}";
Source: "iirc.ini"; DestDir: "{app}\skel"
Source: "servers.json"; DestDir: "{app}\skel"
Source: "License.txt"; DestDir: "{app}";
Source: "Readme.txt"; DestDir: "{app}"; Flags: isreadme

; DLL dependencies
Source: "qwindows.dll"; DestDir: "{app}\platforms";
Source: "libcrypto-1_1-x64.dll"; DestDir: "{app}";
Source: "libssl-1_1-x64.dll"; DestDir: "{app}";
Source: "Qt5Core.dll"; DestDir: "{app}";
Source: "Qt5Gui.dll"; DestDir: "{app}";
Source: "Qt5Widgets.dll"; DestDir: "{app}";

; Bundled IdealIRC scripts
Source: "ChannelSettings.iis"; DestDir: "{app}\skel\Scripts"
Source: "Essentials.iis"; DestDir: "{app}\skel\Scripts"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}";

[Icons]
Name: "{group}\{#AppName}"; Filename: "{app}\IdealIRC.exe"
Name: "{group}\Uninstall {#AppName}"; Filename: "{uninstallexe}"
Name: "{commondesktop}\{#AppName}"; Filename: "{app}\IdealIRC.exe"; Tasks: desktopicon
