/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (c) 2022  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef PUBLICADDRESS_H
#define PUBLICADDRESS_H

#include <cstdint>
#include <optional>
#include <string>

namespace NATPublicAddress {

/**
 * Get the IP address used externally (aka. public IP address) using libnatpmp.
 * Returns a nullopt on error.
*/
std::optional<std::uint32_t> get();

}
#endif //PUBLICADDRESS_H
