/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef DIALOGUTILS_H
#define DIALOGUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace Builtin::DialogUtils {
ValueHolder dialog(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgvalidhndl(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgclose(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlghide(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgshow(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlglist(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgsetattr(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlggetattr(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgsetwidgetattr(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlggetwidgetattr(Script& script, std::vector<ValueHolder>& args);

ValueHolder dlgtablecount(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgtableinsert(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgtableremove(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgtableselected(Script& script, std::vector<ValueHolder>& args);
ValueHolder dlgtablerow(Script& script, std::vector<ValueHolder>& args);
}

#endif // DIALOGUTILS_H
