/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef GENERALUTILS_H
#define GENERALUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace Builtin::GeneralUtils {
ValueHolder toint(Script&, std::vector<ValueHolder>& args);
ValueHolder tostr(Script&, std::vector<ValueHolder>& args);
ValueHolder toreal(Script&, std::vector<ValueHolder>& args);
ValueHolder tobool(Script&, std::vector<ValueHolder>& args);
ValueHolder isvoid(Script&, std::vector<ValueHolder>& args);
ValueHolder isint(Script&, std::vector<ValueHolder>& args);
ValueHolder isreal(Script&, std::vector<ValueHolder>& args);
ValueHolder isbool(Script&, std::vector<ValueHolder>& args);
ValueHolder isstr(Script&, std::vector<ValueHolder>& args);
ValueHolder ismap(Script&, std::vector<ValueHolder>& args);
ValueHolder decimalsep(Script&, std::vector<ValueHolder>& args);
}

#endif // GENERALUTILS_H
