/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef ARRAYUTILS_H
#define ARRAYUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

extern const std::string LIST_END_MAGIC;

namespace Builtin::ListUtils {
ValueHolder list(Script&, std::vector<ValueHolder>& args);
ValueHolder listpush(Script&, std::vector<ValueHolder>& args);
ValueHolder listpop(Script&, std::vector<ValueHolder>& args);
ValueHolder listlen(Script&, std::vector<ValueHolder>& args);
ValueHolder listremove(Script&, std::vector<ValueHolder>& args);
ValueHolder listjoin(Script&, std::vector<ValueHolder>& args);
ValueHolder listsplice(Script&, std::vector<ValueHolder>& args);
}

#endif // ARRAYUTILS_H
