/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef MATHEMATICS_H
#define MATHEMATICS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace Builtin::Mathematics {
ValueHolder pow(Script&, std::vector<ValueHolder>& args);
ValueHolder sqrt(Script&, std::vector<ValueHolder>& args);
ValueHolder cbrt(Script&, std::vector<ValueHolder>& args);
ValueHolder floor(Script&, std::vector<ValueHolder>& args);
ValueHolder ceil(Script&, std::vector<ValueHolder>& args);
ValueHolder round(Script&, std::vector<ValueHolder>& args);
ValueHolder abs(Script&, std::vector<ValueHolder>& args);
ValueHolder clamp(Script&, std::vector<ValueHolder>& args);
ValueHolder clamp01(Script&, std::vector<ValueHolder>& args);
ValueHolder rand(Script&, std::vector<ValueHolder>& args);
ValueHolder scale(Script&, std::vector<ValueHolder>& args);
ValueHolder log(Script&, std::vector<ValueHolder>& args);
ValueHolder log10(Script&, std::vector<ValueHolder>& args);
ValueHolder sin(Script&, std::vector<ValueHolder>& args);
ValueHolder asin(Script&, std::vector<ValueHolder>& args);
ValueHolder cos(Script&, std::vector<ValueHolder>& args);
ValueHolder acos(Script&, std::vector<ValueHolder>& args);
ValueHolder tan(Script&, std::vector<ValueHolder>& args);
ValueHolder atan(Script&, std::vector<ValueHolder>& args);
} // Builtin::Mathematics

#endif // MATHEMATICS_H
