/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef STRINGUTILS_H
#define STRINGUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace Builtin::StringUtils {
ValueHolder strupper(Script&, std::vector<ValueHolder>& args);
ValueHolder strlower(Script&, std::vector<ValueHolder>& args);
ValueHolder strlen(Script&, std::vector<ValueHolder>& args);
ValueHolder strmid(Script&, std::vector<ValueHolder>& args);
ValueHolder strsplit(Script&, std::vector<ValueHolder>& args);
ValueHolder strfind(Script&, std::vector<ValueHolder>& args);
ValueHolder strleft(Script&, std::vector<ValueHolder>& args);
ValueHolder strright(Script&, std::vector<ValueHolder>& args);
ValueHolder strrep(Script&, std::vector<ValueHolder>& args);
ValueHolder resemblesint(Script&, std::vector<ValueHolder>& args);
ValueHolder resemblesreal(Script&, std::vector<ValueHolder>& args);
ValueHolder resemblesbool(Script&, std::vector<ValueHolder>& args);
}

#endif // STRINGUTILS_H
