/*
 * IdealIRC Script Engine - Scripting tailored for IRC clients.
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef SCRIPTEXCEPTION_H
#define SCRIPTEXCEPTION_H

#include <exception>
#include <string>

class ScriptException : public std::exception
{
    friend class Script;
    std::pair<int,int> m_linecol;
    std::string m_originalMessage;
    std::string m_message;
    void setMessage();
public:
    explicit ScriptException(const std::string& message);
    ScriptException(std::pair<int,int> linecol, const std::string& message);
    ScriptException(std::pair<int,int> linecol, const ScriptException& ScriptException);

    const char* what() const noexcept override;
};
#endif // SCRIPTEXCEPTION_H
