/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#include "RegisterScriptFunctions.h"
#include "Script/Script.h"

#include "ScriptGeneralUtils.h"
#include "ScriptIRCUtils.h"

void registerScriptFunctions()
{
    /*
     * General utilities
    */
    Script::registerUniversalFunction("input", &ScriptFunctions::input);
    Script::registerUniversalFunction("showmessage", &ScriptFunctions::showmessage);
    Script::registerUniversalFunction("subwintype", &ScriptFunctions::subwintype);
    Script::registerUniversalFunction("subwinname", &ScriptFunctions::subwinname);
    Script::registerUniversalFunction("unixts", &ScriptFunctions::unixts);
    Script::registerUniversalFunction("unixnow", &ScriptFunctions::unixnow);
    Script::registerUniversalFunction("now", &ScriptFunctions::now);
    Script::registerUniversalFunction("openini", &ScriptFunctions::openini);
    Script::registerUniversalFunction("closeini", &ScriptFunctions::closeini);
    Script::registerUniversalFunction("readini", &ScriptFunctions::readini);
    Script::registerUniversalFunction("readiniitem", &ScriptFunctions::readiniitem);
    Script::registerUniversalFunction("readinisection", &ScriptFunctions::readinisection);
    Script::registerUniversalFunction("countini", &ScriptFunctions::countini);
    Script::registerUniversalFunction("writeini", &ScriptFunctions::writeini);
    Script::registerUniversalFunction("sreadini", &ScriptFunctions::sreadini);
    Script::registerUniversalFunction("swriteini", &ScriptFunctions::swriteini);

    /*
     * IRC utilities
    */
    Script::registerUniversalFunction("userhost", &ScriptFunctions::userhost);
    Script::registerUniversalFunction("isupport", &ScriptFunctions::isupport);
    Script::registerUniversalFunction("context", &ScriptFunctions::context);
}
