/*
 * IdealIRC - Internet Relay Chat client
 * Copyright (C) 2021  Tom-Andre Barstad.
 * This software is licensed under the Software Attribution License.
 * See LICENSE for more information.
*/

#ifndef SCRIPTGENERALUTILS_H
#define SCRIPTGENERALUTILS_H

#include "Script/ValueHolder.h"
#include <vector>

class Script;

namespace ScriptFunctions {
ValueHolder input(Script&, std::vector<ValueHolder>& args);
ValueHolder showmessage(Script&, std::vector<ValueHolder>& args);
ValueHolder context(Script&, std::vector<ValueHolder>& args);
ValueHolder unixts(Script& , std::vector<ValueHolder>& args);
ValueHolder unixnow(Script& , std::vector<ValueHolder>& args);
ValueHolder now(Script& , std::vector<ValueHolder>& args);
ValueHolder subwintype(Script&, std::vector<ValueHolder>& args);
ValueHolder subwinname(Script&, std::vector<ValueHolder>& args);
ValueHolder openini(Script&, std::vector<ValueHolder>& args);
ValueHolder closeini(Script&, std::vector<ValueHolder>& args);
ValueHolder readini(Script&, std::vector<ValueHolder>& args);
ValueHolder readiniitem(Script&, std::vector<ValueHolder>& args);
ValueHolder readinisection(Script&, std::vector<ValueHolder>& args);
ValueHolder countini(Script&, std::vector<ValueHolder>& args);
ValueHolder writeini(Script&, std::vector<ValueHolder>& args);
ValueHolder sreadini(Script&, std::vector<ValueHolder>& args);
ValueHolder swriteini(Script&, std::vector<ValueHolder>& args);
}

#endif // SCRIPTGENERALUTILS_H
